ランタイム: Mix::Dynamics::ISensor Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | List of all members
Mix::Dynamics::ISensor Class Reference

センサーインターフェース More...

`#include <ISensor.h>`

Inheritance diagram for Mix::Dynamics::ISensor:
[legend]
Collaboration diagram for Mix::Dynamics::ISensor:
[legend]

## Protected Member Functions

virtual | ~ISensor (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IObject
virtual | ~IObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IObject
enum | TYPE { STATIC_PLANE = 0, STATIC_MESH = 1, RIGIDBODY = 2, SENSOR = 3, KINEMATIC_CHARACTER = 4, VEHICLE = 5 }
| タイプ列挙定数 More...
Public Member Functions inherited from Mix::Dynamics::IObject
virtual Mix::Dynamics::IObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetShape (Mix::Dynamics::IShape **ppShape)=0
| シェイプを取得します More...
virtual Float32 | GetShapeMargin (void) const =0
| シェイプの衝突マージンを取得します More...
virtual void | SetShapeMargin (Float32 margin)=0
| シェイプの衝突マージンを設定します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| ワールドの位置を設定します More...
virtual void | SetWorldTransform (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| ワールドトランスフォームを設定します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Mix::Geometry::AABB | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | AddListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを追加します More...
virtual void | RemoveListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Detailed Description

センサーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::ISensor::~ISensor | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

The documentation for this class was generated from the following file:

- Mix/Dynamics/ISensor.h